Subject: Re: PSE termcap
From: [email-masked] (Marc Sira)
Date: Wed, 23 Jun 1993 14:35:31 GMT
Newsgroups: comp.sys.apple2.comm,comp.sys.apple2.gno

In a previous article, ucsd!gatech!osceola.cs.ucf.edu!tous!pro-magic!bdoherty
 
>Actually, with emacs the old one just didn't work at all.  The main system I
>call uses Epsilon, and Epsilon ends up getting the commands that PTSE sends
>as emulation (mainly arrow keys).  PTSE is too simple for its own good!
 
True, but then that happens with a lot of terminals using emacs. Fortunately
vi is smarter about it. ;)  It is a simple emulation, though, agreed.
 
I've now done a terminfo for PSE which I'll include here (with another
revised termcap entry, a couple of things that should work, don't :-? ).

#terminfo entry (compile with tic):

pse|proterm-special|ProTerm Special Emulation,
	bw, am, eo, mir, msgr, cols#80, lines#24, it#8, rep=^R%p1%c%p2%c,
	bel=^G, ht=^I, cr=^M, nel=^M^J, clear=^L, home=^X,
	cup=%{30}%c%p2%{32}%+%c%p1%{32}%+%c, ll=%{30}%c%{32}%c%{55}%c,
	cub1=^H, cuf1=^U, cud1=^J, cuu1=^K, cub=^R^H%p1%c, cuf=^R^U%p1%c,
	cud=^R^J%p1%c, cuu=^R^K%p1%c, el=^Y, ed=^W, dch1=^D, dch=^R^D%p1%c,
	ech=^R^D%p1%c, dl1=^Z, ich1=^F, ich=^R^F%p1%c, il1=^V, il=^R^V%p1%c,
	smacs=^P, rmacs=^N, rev=^O, smso=^O, rmso=^N, sgr0=^N, is2=^N, rs1=^N,
	kbs=^H, kdch1=\177, kent=^M, kcub1=^H, kcuf1=^U, kcud1=^J, kcuu1=^K,
	ind=^J, indn=^R^J%p1%c, ri=^K, rin=^R^K%p1%c,
	acsc=+U\,H.J0NIC-K`[aVhWjMmTn]oLqSsIt_uZvIwLx|~@,

#termcap entry (revised, again, sorry):

ps|pse|proterm-special|ProTerm Special Emulation:\
	:co#80:li#24:is=^N:rs=^N:rp=^R%.%.:am:bs:bw:eo:mi:ms:pt:\
	:nw=^M^J:cr=^M:ta=^I:bl=^G:\
	:mr=^O:me=^N:so=^O:se=^N:as=^P:ae=^N:\
	:cd=^W:ce=^Y:cl=^L:ho=^X:cm=^^%r%+ %+ :ll=^^ 7:\
	:dc=^D:DC=^R^D%.:ec=^R^D%.:dl=^Z:ic=^F:IC=^R^F%.:al=^V:AL=^R^V%.:\
	:le=^H:LE=^R^H%.:nd=^U:RI=^R^U%.:do=^J:DO=^R^J%.:up=^K:UP=^R^K%.:\
	:kb=^H:kD=\177:kl=^H:kr=^U:kd=^J:ku=^K:\
	:sf=^J:SF=^R^J%.:sr=^K:SR=^R^K%.:

If your system supports it, using terminfo is of course better (you get the
mapped MouseText characters for graphics for one thing :).

-- 
Marc Sira                  |
[email-masked]  |  "Your god drinks...p-p-peach nectar."
[email-masked]     '